Page 4 of 4 FirstFirst ... 234
Results 31 to 40 of 40

Thread: SuperTuxKart 0.8 released

  1. #31
    Join Date
    Jun 2009
    Location
    Norway
    Beans
    406
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: SuperTuxKart 0.8 released

    Quote Originally Posted by zombifier25 View Post
    Also, it's probably not really high on the devs' list of priorities, but I would love to see an AI for battle mode, or improve the battle mode a bit (if you could make a Twisted Metal-esque mode, then I would die)
    This is planned, but as you deduced it's not the highest priority at the moment. However, it would be great if someone decided to help out with this - we may apply for GSoC this year, and this could be a good task for a student.

    Quote Originally Posted by mikewhatever View Post
    What are the minimal system requirements for game? Has the new version become more demanding, or not?
    We are reluctant to give out blanket statements on system requirements, but yes, the new version is more demanding and requires at least 256MB of video memory (shared or otherwise). If you experience problems, try minimizing graphics as much as possible in options and play at 1024x768. If this still doesn't help, it may be a good time to see if you can buy a new video card (NVIDIA 7600 with 256MB VRAM is probably about the most low-end you can get and still have an enjoyable experience - me doing some guesswork here).

    Quote Originally Posted by Famicommander View Post
    I'd really love to see a track creator/editor in the game, by the way.
    We have exporter scripts which integrates STK specific panels into Blender. Writing a good track editor from scratch is an enormous task which at the current team size may eventually happen after v 1.0. So don't hold your breath - learning Blender is probably a better way to spend your time.

    Thanks for all the positive comments folks!
    My intent is not to flame. I am unarmed. -- QIII; thanks!

  2. #32
    Join Date
    Oct 2009
    Location
    Salem, OR
    Beans
    23
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: SuperTuxKart 0.8 released

    Anyone figured out how to install 0.8 on Ubuntu 10.04-64?

  3. #33
    Join Date
    Feb 2011
    Location
    Somewhere...
    Beans
    1,543
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: SuperTuxKart 0.8 released

    Quote Originally Posted by forliberty View Post
    Anyone figured out how to install 0.8 on Ubuntu 10.04-64?
    Download SuperTuxKart's Linux binary image, extract it and run the executable "supertuxkart" inside it to run the game.

  4. #34
    Join Date
    Oct 2009
    Location
    Salem, OR
    Beans
    23
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: SuperTuxKart 0.8 released

    Quote Originally Posted by zombifier25 View Post
    Download SuperTuxKart's Linux binary image, extract it and run the executable "supertuxkart" inside it to run the game.
    If only it were that simple. Attempting to launch from the command line gets:
    ./supertuxkart: /lib/libc.so.6: version `GLIBC_2.15' not found (required by ./supertuxkart)
    ./supertuxkart: /lib/libc.so.6: version `GLIBC_2.14' not found (required by ./supertuxkart)
    ./supertuxkart: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by ./supertuxkart)

  5. #35
    Join Date
    Feb 2011
    Location
    Somewhere...
    Beans
    1,543
    Distro
    Ubuntu 13.10 Saucy Salamander

    Re: SuperTuxKart 0.8 released

    Quote Originally Posted by forliberty View Post
    If only it were that simple. Attempting to launch from the command line gets:
    ./supertuxkart: /lib/libc.so.6: version `GLIBC_2.15' not found (required by ./supertuxkart)
    ./supertuxkart: /lib/libc.so.6: version `GLIBC_2.14' not found (required by ./supertuxkart)
    ./supertuxkart: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by ./supertuxkart)
    According to STK's download page, apparently 0.8 requires glibc to be at version 2.15, which means that, according to this page, STK is only available for 12.04 or later.

    So there's probably no solution (other than manually downloading a newer libc6, which could break your system, and installing 12.04, which is a sensible choice, considering that 10.04 only have months left)

  6. #36
    Join Date
    Jun 2009
    Location
    Norway
    Beans
    406
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: SuperTuxKart 0.8 released

    Compiling from source may also be an option. But as zombifier25 pointed out, you should probably consider upgrading your system soonish.
    My intent is not to flame. I am unarmed. -- QIII; thanks!

  7. #37
    Join Date
    Jun 2009
    Location
    Norway
    Beans
    406
    Distro
    Xubuntu 12.04 Precise Pangolin

    Vote for STK as SourceForge's Project of the Month

    Image created by qubodup

    We have been nominated as SourceForge.net's Project of the Month for March! Please vote for us at vote.supertuxkart.net and spread the link and image. This would mean we get an interview and additional exposure on the SourceForge front page and in their monthly e-mail.
    My intent is not to flame. I am unarmed. -- QIII; thanks!

  8. #38
    Join Date
    Jun 2009
    Location
    Norway
    Beans
    406
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: SuperTuxKart 0.8 released

    Well I suppose most may have read already, but 0.8.1 is out: http://stkblog.net
    Grab it while it's hot, or wait for Ubuntu 14.04.
    My intent is not to flame. I am unarmed. -- QIII; thanks!

  9. #39
    Join Date
    May 2006
    Location
    Milwaukee,WI
    Beans
    6,100
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: SuperTuxKart 0.8 released

    how do I uninstall version 8 so I can install 8.1? i am running 12.04 and I believe I installed version .8 by compiling it
    Last edited by dannyboy79; December 2nd, 2013 at 01:38 PM.
    Check out my Blog about my life and computer software and hardware. http://ubuntuaddicted.blogspot.com/
    My YouTube channel:
    http://www.youtube.com/ubuntuaddicted

  10. #40
    Join Date
    Jun 2009
    Location
    Norway
    Beans
    406
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: SuperTuxKart 0.8 released

    You don't need to uninstall it really, but if you want to you can remove it by removing the folder if you only compiled it locally, or if you used sudo make install, try sudo make uninstall in the same folder (not sure if this will work actually). Alternatively, if you installed it with checkinstall or via the package manager you can just sudo apt-get remove supertuxkart as usual.
    My intent is not to flame. I am unarmed. -- QIII; thanks!

Page 4 of 4 FirstFirst ... 234

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •